clang 8.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< CatchHandlerType > Struct Template Reference

## Static Public Member Functions
static CatchHandlerType | getEmptyKey ()
static CatchHandlerType | getTombstoneKey ()
static unsigned | getHashValue (const CatchHandlerType &Base)
static bool | isEqual (const CatchHandlerType &LHS, const CatchHandlerType &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< CatchHandlerType >

Definition at line 3938 of file SemaStmt.cpp.

## Member Function Documentation

## ◆ getEmptyKey()

static CatchHandlerType llvm::DenseMapInfo< CatchHandlerType >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 3939 of file SemaStmt.cpp.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< CatchHandlerType >::getHashValue | ( | const CatchHandlerType & | Base | ) |
| inline static

Definition at line 3949 of file SemaStmt.cpp.

## ◆ getTombstoneKey()

static CatchHandlerType llvm::DenseMapInfo< CatchHandlerType >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 3944 of file SemaStmt.cpp.

## ◆ isEqual()

static bool llvm::DenseMapInfo< CatchHandlerType >::isEqual | ( | const CatchHandlerType & | LHS,
|  | const CatchHandlerType & | RHS
| ) |  |
| inline static

Definition at line 3953 of file SemaStmt.cpp.

The documentation for this struct was generated from the following file:

- lib/Sema/SemaStmt.cpp